package be.syntra.beige.team;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;

public class Config {

    /**
     * Define config constants
     */
    public static final String INDENTATION = "  ";

    //17april-sibel-13.commendLine
    public static final int LENGTH_INDENTATION= INDENTATION.length();

    public static final ArrayList<String> EMPTY_TAGS = new ArrayList<String>(Arrays.asList("area","base","br","col","embed","hr","img","input","keygen","link","meta","param","source","track","wbr"));

    public static final HashMap<Character, String> HTML_ENTITIES = new HashMap<Character, String>() {{
        put(' ', "&nbsp;");
        put('<', "&lt;");
        put('>', "&gt;");
        put('&', "&amp;");
        put('\"', "&quot;");
        put('\'', "&apos;");
        put('À', "&Agrave;");
        put('Á', "&Aacute;");
        put('Â', "&Acirc;");
        put('Ã', "&Atilde;");
        put('Ä', "&Auml;");
        put('Å', "&Aring;");
        put('Æ', "&AElig;");
        put('Ç', "&Ccedil;");
        put('È', "&Egrave;");
        put('É', "&Eacute;");
        put('Ê', "&Ecirc;");
        put('Ë', "&Euml;");
        put('Ì', "&Igrave;");
        put('Í', "&Iacute;");
        put('Î', "&Icirc;");
        put('Ï', "&Iuml;");
        put('Ð', "&ETH;");
        put('Ñ', "&Ntilde;");
        put('Ò', "&Ograve;");
        put('Ó', "&Oacute;");
        put('Ô', "&Ocirc;");
        put('Õ', "&Otilde;");
        put('Ö', "&Ouml;");
        put('Ø', "&Oslash;");
        put('Ù', "&Ugrave;");
        put('Ú', "&Uacute;");
        put('Û', "&Ucirc;");
        put('Ü', "&Uuml;");
        put('Ý', "&Yacute;");
        put('Þ', "&THORN;");
        put('ß', "&szlig;");
        put('à', "&agrave;");
        put('á', "&aacute;");
        put('â', "&acirc;");
        put('ã', "&atilde;");
        put('ä', "&auml;");
        put('å', "&aring;");
        put('æ', "&aelig;");
        put('ç', "&ccedil;");
        put('è', "&egrave;");
        put('é', "&eacute;");
        put('ê', "&ecirc;");
        put('ë', "&euml;");
        put('ì', "&igrave;");
        put('í', "&iacute;");
        put('î', "&icirc;");
        put('ï', "&iuml;");
        put('ð', "&eth;");
        put('ñ', "&ntilde;");
        put('ò', "&ograve;");
        put('ó', "&oacute;");
        put('ô', "&ocirc;");
        put('õ', "&otilde;");
        put('ö', "&ouml;");
        put('ø', "&oslash;");
        put('ù', "&ugrave;");
        put('ú', "&uacute;");
        put('û', "&ucirc;");
        put('ü', "&uuml;");
        put('ý', "&yacute;");
        put('þ', "&thorn;");
        put('ÿ', "&yuml;");
        put('¡', "&iexcl;");
        put('¢', "&cent;");
        put('£', "&pound;");
        put('¤', "&curren;");
        put('¥', "&yen;");
        put('¦', "&brvbar;");
        put('§', "&sect;");
        put('¨', "&uml;");
        put('©', "&copy;");
        put('ª', "&ordf;");
        put('«', "&laquo;");
        put('¬', "&not;");
        put('®', "&reg;");
        put('¯', "&macr;");
        put('°', "&deg;");
        put('±', "&plusmn;");
        put('²', "&sup2;");
        put('³', "&sup3;");
        put('´', "&acute;");
        put('µ', "&micro;");
        put('¶', "&para;");
        put('¸', "&cedil;");
        put('¹', "&sup1;");
        put('º', "&ordm;");
        put('»', "&raquo;");
        put('¼', "&frac14;");
        put('½', "&frac12;");
        put('¾', "&frac34;");
        put('¿', "&iquest;");
        put('×', "&times;");
        put('÷', "&divide;");
        put('∀', "&forall;");
        put('∂', "&part;");
        put('∃', "&exist;");
        put('∅', "&empty;");
        put('∇', "&nabla;");
        put('∈', "&isin;");
        put('∉', "&notin;");
        put('∋', "&ni;");
        put('∏', "&prod;");
        put('∑', "&sum;");
        put('−', "&minus;");
        put('∗', "&lowast;");
        put('√', "&radic;");
        put('∝', "&prop;");
        put('∞', "&infin;");
        put('∠', "&ang;");
        put('∧', "&and;");
        put('∨', "&or;");
        put('∩', "&cap;");
        put('∪', "&cup;");
        put('∫', "&int;");
        put('∴', "&there4;");
        put('∼', "&sim;");
        put('≅', "&cong;");
        put('≈', "&asymp;");
        put('≠', "&ne;");
        put('≡', "&equiv;");
        put('≤', "&le;");
        put('≥', "&ge;");
        put('⊂', "&sub;");
        put('⊃', "&sup;");
        put('⊄', "&nsub;");
        put('⊆', "&sube;");
        put('⊇', "&supe;");
        put('⊕', "&oplus;");
        put('⊗', "&otimes;");
        put('⊥', "&perp;");
        put('⋅', "&sdot;");
        put('-', "&ndash;");
        put('–', "&ndash;");
        put('—', "&mdash;");
        put('‘', "&lsquo;");
        put('’', "&rsquo;");
        put('‚', "&sbquo;");
        put('“', "&ldquo;");
        put('”', "&rdquo;");
        put('„', "&bdquo;");
        put('•', "&bull;");
        put('…', "&hellip;");
        put('‰', "&permil;");
        put('′', "&prime;");
        put('″', "&Prime;");
        put('‹', "&lsaquo;");
        put('›', "&rsaquo;");
        put('‾', "&oline;");
        put('€', "&euro;");
        put('™', "&trade;");
    }};

}
